--------------------------------------------------------------------------
--DIMaster v2.0 
--MacroScript Definitions
--Beta Release 7: 2007/04/14
--Code by Borislav "Bobo" Petrov
--http://www.scriptspot.com/bobo 
--------------------------------------------------------------------------
--Place this file into your \Plugins folder 
--Copy .BMP icon files to your \Ui\Icons folder
--Restart Max
--------------------------------------------------------------------------


macroScript DIMline category:"DIMaster" icon:#("DIMaster",1)
(
	global DIMaster_p1, DIMaster_p2, DIMaster_theDim, DIMaster_firstPoint, DIMaster_theText
	result = startTool createDimensionLine
	if result == #abort do 
	(
		try(delete DIMaster_theText)catch()
		try(delete DIMaster_p1)catch()
		try(delete DIMaster_p2)catch()
		try(delete DIMaster_theDim)catch()
	)	
)

macroScript DIMangle category:"DIMaster" icon:#("DIMaster",2) (
	global DIMaster_p1, DIMaster_p2, DIMaster_p3, DIMaster_theDim, DIMaster_firstPoint, DIMaster_theText
	result = startTool createDimensionAngle
	if result == #abort do 
	(
		try(delete DIMaster_theText)catch()
		try(delete DIMaster_p1)catch()
		try(delete DIMaster_p2)catch()
		try(delete DIMaster_p3)catch()
		try(delete DIMaster_theDim)catch()
	)	
)


macroScript DIMnote category:"DIMaster" icon:#("DIMaster",3)
(
	global DIMaster_p1, DIMaster_p2, DIMaster_theDim, DIMaster_firstPoint, DIMaster_theText
	result = startTool createDimensionNote
	if result == #abort do 
	(
		try(delete DIMaster_theText)catch()
		try(delete DIMaster_p1)catch()
		try(delete DIMaster_p2)catch()
		try(delete DIMaster_p3)catch()
		try(delete DIMaster_theDim)catch()
	)	
)

macroScript DIMlineMulti category:"DIMaster" icon:#("DIMaster",4)
(
	local isCheckedVar = false
	on isChecked return isCheckedVar 
	on execute do
	(
		isCheckedVar = true
		global DIMaster_p1, DIMaster_p2, DIMaster_theDim, DIMaster_firstPoint, DIMaster_theText
		local result = #go
		while result != #abort do
			result = startTool createDimensionLine
		isCheckedVar = false
	)	
)

macroScript DIMangleMulti category:"DIMaster" icon:#("DIMaster",5) (
	local isCheckedVar = false
	on isChecked return isCheckedVar 
	on execute do
	(
		isCheckedVar = true
		global DIMaster_p1, DIMaster_p2, DIMaster_p3, DIMaster_theDim, DIMaster_firstPoint, DIMaster_theText
		local result = #go
		while result != #abort do
			result = startTool createDimensionAngle
		isCheckedVar = false
	)	
)


macroScript DIMnoteMulti category:"DIMaster" icon:#("DIMaster",6)
(
	local isCheckedVar = false
	on isChecked return isCheckedVar 
	on execute do
	(
		isCheckedVar = true
		global DIMaster_p1, DIMaster_p2, DIMaster_theDim, DIMaster_firstPoint, DIMaster_theText
		result = #go
		while result != #abort do
			result = startTool createDimensionNote
		isCheckedVar = false
	)	
)


macroScript DIMasterDelete category:"DIMaster" icon:#("DIMaster",7)
(
	with undo "DIMaster Delete" on
	(
		theSel = selection as array
		for o in theSel where isValidNode o do 
			DIMasterFunctions.DeleteCallback o
	)
)